//
//  SpeakEleReviewWordViewCtr.swift
//  SpeakEasyLearnEnglish
//
//  Created by edy on 2025/7/22.
//

import UIKit

class SpeakEleReviewWordViewCtr: SpeakEleBaseViewCtr {

    
    @IBOutlet weak var SpeakNewL: UILabel!
    @IBOutlet weak var SpeakFamilar: UILabel!
    @IBOutlet weak var SpeakStrangeL: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.title = "Review words"
        self.view.backgroundColor = .init(hex: 0xF6F7F9)
    }
    
    var data:SpeakProgressWordCountModel?

    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        SpeakNewL.text = "\(data?.newWordCount ?? 0)"
        SpeakFamilar.text = "\(data?.familiarCount ?? 0)"
        SpeakStrangeL.text = "\(data?.unfamiliarCount ?? 0)"
    }
    
}
